/[jscoverage]/trunk/selenium/selenium.sh
ViewVC logotype

Annotation of /trunk/selenium/selenium.sh

Parent Directory Parent Directory | Revision Log Revision Log


Revision 234 - (hide annotations)
Fri Oct 3 02:30:46 2008 UTC (12 years, 1 month ago) by siliconforks
File MIME type: application/x-sh
File size: 616 byte(s)
Add Selenium tests.
1 siliconforks 234 #!/bin/sh
2    
3     set -e
4    
5     trap cleanup 0 1 2 3 15
6    
7     cleanup() {
8     kill $server_pid
9     kill $selenium_server_pid
10     }
11    
12     java -cp build Server ../doc/instrumented > server.out 2> server.err &
13     server_pid=$!
14    
15     java -jar selenium-server.jar -multiWindow > selenium.out 2> selenium.err &
16     selenium_server_pid=$!
17    
18     # wait for the HTTP server to start
19     while ! netstat -a -n --inet --inet6 | grep -q :::8000
20     do
21     sleep 0.1
22     done
23    
24     # wait for the selenium server to start
25     while ! netstat -a -n --inet --inet6 | grep -q :::4444
26     do
27     sleep 0.1
28     done
29    
30     java -cp junit.jar:selenium-java-client-driver.jar:build junit.textui.TestRunner JSCoverageTest

Properties

Name Value
svn:executable *

  ViewVC Help
Powered by ViewVC 1.1.24